Permanently purge an item from trash
DELETE
/v1/trash/{type}/{id}Enqueues a Worker job. Storage is billed until the prefix is empty and the row is deleted.
curl -X DELETE 'https://api.embodiflow.io/v1/trash/{type}/{id}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"confirmName": "string"
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- typestring必填
- idstring必填
请求体
Content-Typeapplication/json
- confirmNamestring
响应
Success
- dataobject必填
- typestring必填可选值projectversionrecordingepisodemodel
- idstring必填
- enqueuedboolean必填可选值true
响应示例
{
"data": {
"type": "project",
"id": "string",
"enqueued": true
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1